function [count, total] = testcirc(x, y, r, img, func)
% Tests a circle at x, y with radius r
% Given graph must be inside graph!   

count = 0;
total = 0;
currX=x;
currY=y;
dim_x = size(img,2);
dim_y = size(img,1);
maxY = fix(r*cos(pi/4));
if (currY+r<dim_y-r), total=total+img(currY+r, currX); end;
if (currY-r>0)      , total=total+img(currY-r, currX); end;
if (currX+r<dim_x-r), total=total+img(currY, currX+r); end;
if (currX-r>0)      , total=total+img(currY, currX-r); end;
count=count+4;
for y = 1:(maxY),
    x = func(y);
    if (currY+x<dim_y & currX+y<dim_x), total=total+img(currY+x, currX+y); end;
    if (currY-x>0     & currX+y<dim_x), total=total+img(currY-x, currX+y); end;
    if (currY+x<dim_y & currX-y>0)    , total=total+img(currY+x, currX-y); end;
    if (currY-x>0     & currX-y>0)    , total=total+img(currY-x, currX-y); end;
    if (currY+y<dim_y & currX+x<dim_x), total=total+img(currY+y, currX+x); end;
    if (currY-y>0     & currX+x<dim_x), total=total+img(currY-y, currX+x); end;
    if (currY+y<dim_y & currX-x>0)    , total=total+img(currY+y, currX-x); end;
    if (currY-y>0     & currX-x>0)    , total=total+img(currY-y, currX-x); end;
    count=count+8;
end

